#include <stdio.h>
#include <ctype.h>

int main(int argc,char *argv[])
{
	FILE *fp, *fp2;
	int mode = 3;
	char *line = (char*)malloc(100*sizeof(char));
	char *aux = line;

	if(argc < 2)
	{
        	printf("Error. Syntax: %s file.cue\n", argv[0]);
        	return 1;
	}
		
	while( mode < 1 || mode > 2 ) {
		puts("Correct ALL audiotracks ->> 1\nCorrect audiotracks 2,3,4,... ->> 2");
		printf("Choose mode: ");
		scanf("%d", &mode);
	}
	
	if((fp = fopen(argv[1],"r")) == NULL)
	{
       		printf("Error. File %s not found!\n",argv[1]);
       		return 1;
	}

	if((fp2 = fopen("Repaired.cue","w")) == NULL)
	{
       		printf("Error. Cannot create destination file!\n",argv[1]);
       		return 1;
	}
	
	if(mode==1)
		puts("Correcting ALL audiotracks...");
	else
		puts("Correcting audiotracks 2,3,4...");

	while(1)
	{
		line = aux;
		fgets(line,100,fp);
		
		if(feof(fp)) return 0;

		for( ; isspace(*line) ; line++);

		if(!strcmp(line,"INDEX 01 00:00:00\n"))
		{
			if(mode-- <= 0)
			{
				fprintf(fp2,"INDEX 00 00:00:00\n");
				fprintf(fp2,"INDEX 01 00:02:00\n");
			}
			else fprintf(fp2,line);
		}
		else fprintf(fp2,line);
	}
	
return 0;	
	
}

